Package: groovy.org.codenarc.rule.unused

## [Groovy] Class UnusedVariableAstVisitor

- groovy.org.codenarc.rule.unused.UnusedVariableAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)`
    `` | `void` | `visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression declarationExpression)`
    `` | `void` | `visitForLoop(org.codehaus.groovy.ast.stmt.ForStatement forLoop)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`
    `` | `void` | `visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)`

- - ### Method Detail

    - #### void visitBlockStatement(org.codehaus.groovy.ast.stmt.BlockStatement block)

    - #### void visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression declarationExpression)

    - #### @Override void visitForLoop(org.codehaus.groovy.ast.stmt.ForStatement forLoop)

    - #### void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)

    - #### void visitVariableExpression(org.codehaus.groovy.ast.expr.VariableExpression expression)